name: Sync to Gitea

on:
  push:
    branches: [master]

jobs:
  trigger-mirror-sync:
    runs-on: ubuntu-latest
    steps:
      - name: Trigger Gitea mirror-sync
        run: |
          curl -fsS -X POST \
            -H "Authorization: token ${{ secrets.GITEA_MIRROR_TOKEN }}" \
            "http://product-demo.tvustream.com:3001/api/v1/repos/ux-team/tvu-design-system/mirror-sync"
          echo "Triggered Gitea mirror-sync; deploy-hook will auto-build on receive."
